<?php  
class ControllerToolNitro extends Controller {
	public function getwidget() {
		if (!empty($_SESSION['NitroRenderTime']) && !empty($_SESSION['NitroNameOfCacheFile'])) {
			if (decideToShowFrontWidget()) {
				$renderTime = $_SESSION['NitroRenderTime'];
				$nameOfCacheFile = $_SESSION['NitroNameOfCacheFile'];
				$originalRenderTime = (float)getLoadTime($nameOfCacheFile);
				$faster = (int)($originalRenderTime / $renderTime);
				include(NITRO_FOLDER.'core/frontwidget.php');
				exit;
			}
		}
	}
}